Skip to content

FX Rate Query

API Information

  • Path: /api/v1/acct/queryExchangeRate
  • Method: POST
  • Content-Type: application/json

Business Description

  • Supports merchants querying FX Rate from source currency to target currency. When the source amount is not 0, it will calculate the corresponding arrival amount based on the FX Rate. If the source amount is 0 or not provided, only the corresponding FX Rate will be returned
  • This API returns the latest indicative rate of the day, which is refreshed every 24 hours.
  • The actual deduction and settlement rate will be locked at the time of payout execution and displayed on the payout receipt.
  • If there is a time gap between inquiry and execution, market fluctuations may result in differences between the two rates.

Request Parameters

Headers

Request Headers
ParameterValueRequiredDescription
Content-Typeapplication/jsonYesRequest body type

Request Body

Main Parameters

ParameterTypeDescriptionRequired
merchantNostringMerchant NumberM
sourceAmountnumberSource AmountC
sourceCurrencystringSource CurrencyM
targetCurrencystringTarget CurrencyM
signstringSignatureM

Request Example

json

{"merchantNo":"800538",
  "sourceAmount":"15",
  "sourceCurrency":"USD",
  "targetCurrency":"EUR",
  "sign":"12346"}

Response Result

Response Headers
ParameterValueRequiredDescription
content-typeapplication/json;charset=UTF-8YesResponse body type

Response Parameters

Response Fields

ParameterTypeDescription
respCodestring
respMsgstring
dataobject
  |─sourceAmountnumberSource Amount Information
  |─sourceCurrencystringSource Currency Information
  |─targetAmountnumberTarget Amount Information
  |─targetCurrencystringTarget Currency Information
  |─convRatenumberConversion FX Rate
  |─rateDateTimestringCurrent FX Rate Time

Response Example

json
{
  "respCode": "20000",
  "respMsg": "",
  "data": {
    "sourceAmount": 0.0,
    "sourceCurrency": "",
    "targetAmount": 0.0,
    "targetCurrency": "",
    "convRate": 0.0,
    "rateDateTime": ""
  }
}